<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInteractionInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('interaction_info', function (Blueprint $table) {
            $table->increments('id')->comment('id');
            $table->integer('dream_id')->comment('梦想ID');
            $table->text('title')->comment('互动标题');
            $table->string('pic1')->default('')->comment('图片');
            $table->string('pic2')->default('')->comment('图片');
            $table->string('pic3')->default('')->comment('图片');
            $table->string('pic4')->default('')->comment('图片');
            $table->string('pic5')->default('')->comment('图片');
            $table->string('pic6')->default('')->comment('图片');
            $table->string('pic7')->default('')->comment('图片');
            $table->string('pic8')->default('')->comment('图片');
            $table->string('pic9')->default('')->comment('图片');
            $table->tinyInteger('status')->default(1)->comment('互动状态');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('interaction_info');
    }
}
